[Snort-users] Re: [snort] Problems configuring 1.6.2.2 under Linux

Bug Hunter bugtraq at ...86...
Wed Jul 19 20:13:18 EDT 2000


I am running RedHat 5.2, kernel 2.0.38. I had no problems at all with 1.6.
I will attempt to find the latest beta if Marty will post a good URL.
I get this error message "too many arguments" whether I use the
--with-pcap-* or not. Funny thing is it worked once but would not compile
so I thought I would try again and now I can't get it to ./configure even
once. I will let you know how it goes with beta5 when I get it.

Thanks.

At 07:36 AM 7/19/00 +0700, you wrote:
>
>what linux distro are you running? it says `test too many argument's,
>which means that either arguments youre supplying with --with-pcap-* stuff
>aren't correct or the test  command on your distro is incompatiible.
>
>
>
> On
>Fri, 14 Jul 2000 out of nowhere Bug Hunter spoke:
>
>~ :Hey,
>~ :   I'm a long time lurker and user of snort but this is the first version
>~ :giving me problems. When I run the configure script it kicks out every time
>~ :with this:
>~ :>checking whether sendto must be declared... no
>~ :>checking whether vsnprintf must be declared... no
>~ :>checking whether strtoul must be declared... no
>~ :>checking for pcap.h... ./configure: test: too many arguments
>~ :>no
>~ :>
>~ :>   ERROR!  Libpcap header not found, go get it from
>~ :>   ftp://ftp.ee.lbl.gov/libpcap.tar.Z
>~ :>   or use the --with-libpcap-* options.
>~ :>   See the INSTALL file for more information.
>~ :Now I know my libpcap is installed properly because I have a couple of
>~ :other pieces of software, not to mention Snort 1.6 compiled and running
>~ :just fine on the system. I re-installed libpcap and used the
>~ :--with-pcap-includes and --with-pcap-libraries as recommended and it still
>~ :doesn't work. Are there any other suggestions or hints as to where to look?
>~ :
>~ :Scott
>~ :
>~ :





More information about the Snort-users mailing list